layui.use(["laytp"], function () {
    const funController = {};
    //静态页面地址前缀
    window.htmlPrefix = facade.compatibleHtmlPath("/admin/bot/");
    //后端接口地址前缀
    window.apiPrefix  = facade.compatibleApiRoute("/admin.bot/");

    //表格渲染
    funController.tableRender = function (where, page) {
        layui.table.render({
            elem: "#laytp-table"
            , limit: facade.getLimit('/admin/bot/')
            , id: "laytp-table"
            , url: facade.url("/admin.bot/index",{paging:1})
            , toolbar: "#default-toolbar"
            , defaultToolbar: [{
                title: '刷新',
                layEvent: 'refresh',
                icon: 'layui-icon-refresh',
            }, 'filter', 'print', 'exports']
            , where: where
            , method: "GET"
            , cellMinWidth: 120
            , skin: 'line'
            , loading: false
            , page: {
                curr: page
            }
            , parseData: function (res) { //res 即为原始返回的数据
                layui.laytpTable.setLimit('/admin/bot/', res.data.per_page);
                return facade.parseTableData(res, true);
            }
            , done: function(){
                layui.laytpTable.done();
            }
            , cols: [[
                {type:'checkbox',fixed:'left'}
				,{field:'id',title:'ID',align:'center',width:80,fixed:'left'}
				
				,{field:'botuser',title:'机器人',align:'center'}
				,{field:'name',title:'管理昵称',align:'center'}
				,{field:'vip_time',title:'到期时间',align:'center'}
				,{field:'money',title:'余额',align:'center'}
				,{field:'create_time',title:'建立时间',align:'center'}
			,{field:'operation',title:'订阅',align:'center',toolbar:'#default-bar2',width:280,fixed:'right'}
                ,{field:'operation',title:'操作',align:'center',toolbar:'#default-bar',width:180,fixed:'right'}
            ]]
        });

        //监听数据表格顶部左侧按钮点击事件
        layui.table.on("toolbar(laytp-table)", function (obj) {
            //默认按钮点击事件，包括添加按钮和回收站按钮
            var defaultTableToolbar = layui.context.get("defaultTableToolbar");
            if (defaultTableToolbar.indexOf(obj.event) !== -1) {
                laytp.tableToolbar(obj);
            } else {
                // //自定义按钮点击事件
                // switch(obj.event){
                // //自定义按钮点击事件
                // case "":
                //
                //     break;
                // }
            }
        });

        //监听数据表格[操作列]按钮点击事件
        layui.table.on("tool(laytp-table)", function (obj) {
            var defaultTableTool = layui.context.get("defaultTableTool");
            if (defaultTableTool.indexOf(obj.event) !== -1) {
                laytp.tableTool(obj);
            } else {
                console.log(obj)
                 if (obj.event === "webhook") {
                    facade.ajax({route: "/admin.bot/webhook", data: obj.data});
                }
                if (obj.event === "chektrxadd") {
                    facade.ajax({route: "/admin.bot/chektrxadd", data: obj.data});
                }
                if (obj.event === "addtrxadd") {
                    facade.ajax({route: "/admin.bot/addtrxadd", data: obj.data});
                }
                if (obj.event === "delltrx") {
                    facade.ajax({route: "/admin.bot/delltrx", data: obj.data});
                }
                
        
                // //自定义按钮点击事件
                // switch(obj.event){
                // //自定义按钮点击事件
                // case "":
                //
                //     break;
                // }
            }
        });

        //监听表头排序事件
        layui.table.on('sort(laytp-table)', function(obj){
            layui.table.reloadData('laytp-table', {
                initSort: obj //记录初始排序，如果不设的话，将无法标记表头的排序状态。
                , where: {
                    "order_param" : {
                        "field" : obj.field,
                        "type" : obj.type
                    }
                }
            });
        });
    };

    funController.tableRender();

    window.funController = funController;
});